rte_crypto_sym_vec(3)

NAME
rte_crypto_sym_vec

SYNOPSIS

#include <rte_crypto_sym.h>

  Data Fields

uint32_t num
struct rte_crypto_sgl * src_sgl
struct rte_crypto_sgl * dest_sgl
struct rte_crypto_va_iova_ptr * iv
struct rte_crypto_va_iova_ptr * digest
int32_t * status

Detailed Description

Raw data operation descriptor. Supposed to be used with synchronous CPU crypto API call or asynchronous RAW data path API call.

Definition at line 71 of file rte_crypto_sym.h.

Field Documentation

  uint32_t num
number of operations to perform

Definition at line 73 of file rte_crypto_sym.h.

  struct rte_crypto_sgl* src_sgl
array of SGL vectors

Definition at line 75 of file rte_crypto_sym.h.

  struct rte_crypto_sgl* dest_sgl
array of SGL vectors for OOP, keep it NULL for inplace

Definition at line 77 of file rte_crypto_sym.h.

  struct rte_crypto_va_iova_ptr* iv
array of pointers to cipher IV

Definition at line 79 of file rte_crypto_sym.h.

  struct rte_crypto_va_iova_ptr* digest
array of pointers to digest

Definition at line 81 of file rte_crypto_sym.h.

  struct rte_crypto_va_iova_ptr* auth_iv
array of pointers to auth IV, used for chain operation

Definition at line 86 of file rte_crypto_sym.h.

  struct rte_crypto_va_iova_ptr* aad
array of pointers to AAD, used for AEAD operation

Definition at line 88 of file rte_crypto_sym.h.

  int32_t* status
array of statuses for each operation:

•   0 on success

•   errno on error

Definition at line 96 of file rte_crypto_sym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.